int motorPinL = 9;         //Arduino pin motor 1 is connected to
int motorPinR = 10;        //Arduino pin motor 2 is connected to

int steeringPin = 0;      //Arduino Analog pin 0 steering is connected to
int steerValue = 0;        //variable for steering

int hornButton = 3;
int hornPin = 2;

void setup(){              //happens once when Arduino starts up
 pinMode(motorPinL, OUTPUT);  //declares motorPins as outputs 
  pinMode(motorPinR, OUTPUT); 
  pinMode(hornPin, OUTPUT);   //declares hornPin as output
}

void loop(){
getSteerage();     //calls getSteerage method
steerIt();                         //calls steerIt method
if (digitalRead(hornButton) == LOW){ //checks to see if horn is pushed
 beep();                             //if horn is pushed calls "beep" method
}
}

void getSteerage(){             //read steering pin
 steerValue = analogRead(steeringPin); //gives number between 0 and 1023
}

void steerIt(){
 if (steerValue <= 255){         //turn left if steerValue is low
  analogWrite(motorPinL, 255);
  analogWrite(motorPinR, 0);
 } 
  if (steerValue >= 256 && steerValue <= 767){
    analogWrite(motorPinL, 255); // go straight if steerValue is in middle
  analogWrite(motorPinR, 255);
 }
  if (steerValue >= 767){
  analogWrite(motorPinL, 0); // turn right if steerValue is high
  analogWrite(motorPinR, 255);  
 }
}

void beep(){                    //Makes piezo beep a "e" note
  for(int i = 0; i < 100; i++){
  digitalWrite(hornPin, HIGH);
  delayMicroseconds(1519);      //1519 = "e" note
  digitalWrite(hornPin, LOW);
  delayMicroseconds(1519);
  }
}
