int motorPinL = 9;         //Arduino pin motor 1 is connected to
int motorPinR = 10;        //Arduino pin motor 2 is connected to

int steeringPin = 0;      //Arduino Analog pin 0 steering is connected to
int steerValue = 0;        //variable for steering

int hornButton = 3;   //Arduino pin 3 is connected to
int hornPin = 2;        //Arduino pin 2 is connected to

int headlights = 5;  //Arduino pin 5 is connected to
int lightButton = 4; //Arduino pin 4 is connected to

void setup(){              //happens once when Arduino starts up
 pinMode(motorPinL, OUTPUT);  //declares motorPins as outputs 
  pinMode(motorPinR, OUTPUT); 
  pinMode(hornPin, OUTPUT);   //declares hornPin as output
  pinMode(headlights, OUTPUT); //declares headlights as output
}

void loop(){
getSteerage();     //calls getSteerage method
steerIt();                         //calls steerIt method
if (digitalRead(hornButton) == LOW){ //checks to see if horn is pushed
 beep();                             //if horn is pushed calls "beep" method
}
if (digitalRead(lightButton) == LOW){
  lights();
}
}

void getSteerage(){             //read steering pin
 steerValue = analogRead(steeringPin); //gives number between 0 and 1023
}

void steerIt(){
 if (steerValue <= 255){         //turn left if steerValue is low
  analogWrite(motorPinL, 255);
  analogWrite(motorPinR, 0);
 } 
  if (steerValue >= 256 && steerValue <= 767){
    analogWrite(motorPinL, 255); // go straight if steerValue is in middle
  analogWrite(motorPinR, 255);
 }
  if (steerValue >= 767){
  analogWrite(motorPinL, 0); // turn right if steerValue is high
  analogWrite(motorPinR, 255);  
 }
}

void beep(){                    //Makes piezo beep a "e" note
  for(int i = 0; i < 100; i++){
  digitalWrite(hornPin, HIGH);
  delayMicroseconds(1519);      //1519 = "e" note
  digitalWrite(hornPin, LOW);
  delayMicroseconds(1519);
  }
}
void lights(){                        //turns lights on if they are off
 if (digitalRead(headlights) == LOW)  //and off if they are on.
digitalWrite(headlights, HIGH);       //You may notice this code isn't 
else{                                 //great if you hold down the button.
digitalWrite(headlights, LOW);        //How can you make it better?
}

}
