/*    
SparkFun Inventor's Kit
Circuit02Expansion
Adapted from Oomlout's SIK Circuit 2
 */
 
//LED Pin Variables
int ledPins[] = {2,3,4,5,6,7,8,9}; 		//An array to hold the pin each LED is connected to
                                  			 //i.e. LED #0 is connected to pin 2, LED #1, 3 and so on
                              		 	//to address an array use ledPins[0] this would equal 2
                                  			//and ledPins[7] would equal 9


//PWM values for analogWrite on pin #9, ERASE COMMENT INDICATORS TO USE, switch lines for different questions
// you may have trouble getting your motor running with lower PWM values.

 int PWMvalue = 0;		//0% power
// int PWMvalue = 63.75;		//25% power
// int PWMvalue = 127.5;		//50% power
// int PWMvalue = 191.25;	//75% power
// int PWMvalue = 255;		//100% power
 
/*
 * setup() - this function runs once when you turn your Arduino on
 * We set the three control pins to outputs
 */
void setup()
{
  
 				 //Set each pin connected to an LED to output mode (pulling high (on) or low (off)
  for(int i = 0; i < 8; i++){        			 //this is a loop and will repeat eight times
      pinMode(ledPins[i],OUTPUT); 		//we use this to set each LED pin to output
  }                                 				//the code this replaces is below
 
  /* (commented code will not run)
   * these are the lines replaced by the for loop above they do exactly the
   * same thing the one above just uses less typing
  pinMode(ledPins[0],OUTPUT);
  pinMode(ledPins[1],OUTPUT);
  pinMode(ledPins[2],OUTPUT);
  pinMode(ledPins[3],OUTPUT);
  pinMode(ledPins[4],OUTPUT);
  pinMode(ledPins[5],OUTPUT);
  pinMode(ledPins[6],OUTPUT);
  pinMode(ledPins[7],OUTPUT);
  (end of commented code)*/
}

void loop(){
analogWrite (9, PWMvalue);
}

